aboutsummaryrefslogtreecommitdiffstats
path: root/www-apps
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2011-04-16 22:43:47 +0200
committerAlexander Sulfrian <alexander@sulfrian.net>2011-04-16 23:02:45 +0200
commit82f1a0613dec0834e3cf70b198f1b357f2ce6581 (patch)
treebad497aab0d825ec314685dfa9d0549329f2f5b5 /www-apps
parent55cc0c71e15feaaae2aaa0181e1262f0015f480a (diff)
downloadoverlay-82f1a0613dec0834e3cf70b198f1b357f2ce6581.tar.gz
overlay-82f1a0613dec0834e3cf70b198f1b357f2ce6581.tar.xz
overlay-82f1a0613dec0834e3cf70b198f1b357f2ce6581.zip
cgit: added cgit-0.9.ebuild
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/cgit/ChangeLog9
-rw-r--r--www-apps/cgit/Manifest7
-rw-r--r--www-apps/cgit/cgit-0.9.ebuild86
-rw-r--r--www-apps/cgit/files/cgitrc126
-rw-r--r--www-apps/cgit/files/postinstall-en.txt15
-rw-r--r--www-apps/cgit/metadata.xml18
6 files changed, 261 insertions, 0 deletions
diff --git a/www-apps/cgit/ChangeLog b/www-apps/cgit/ChangeLog
new file mode 100644
index 0000000..782743f
--- /dev/null
+++ b/www-apps/cgit/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for www-apps/cgit
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 18 Oct 2010; Nikoli <nikoli@lavabit.com> +cgit-0.8.3.4.ebuild,
+ +cgit-9999.ebuild, +files/cgitrc, +files/postinstall-en.txt,
+ +metadata.xml:
+ initial import
+
diff --git a/www-apps/cgit/Manifest b/www-apps/cgit/Manifest
new file mode 100644
index 0000000..872329f
--- /dev/null
+++ b/www-apps/cgit/Manifest
@@ -0,0 +1,7 @@
+AUX cgitrc 2514 RMD160 614cb050acc97caaa1da7caa6a60e74b457bba37 SHA1 376d65e71ab2ee54896addaf4acb98ed7d5ba327 SHA256 5a53e02e38382b46e3e0dea5efb3ab4ff8eccc8c6a26e7213ab2dee192236c48
+AUX postinstall-en.txt 659 RMD160 3b52b26751dc66759a78d23abff0a4762624aea3 SHA1 5b3b7077e1d0fb710afb829b8720f0f9a2ad7849 SHA256 1e1ddd6048719a55c7b854fc64f9e488e61dbf32e0d1d21a16592474ce914751
+DIST cgit-0.9.tar.bz2 63580 RMD160 01e2bf7a5f4f385a0a6cda18292f3f9a55337622 SHA1 acdea79a880521fcfd0d359b41fdd59abf76170d SHA256 530eaf702b8ca0a44750f5ed1f27b1d74b317441cce9d2d4bb340c7dbea8a48f
+DIST git-1.7.4.tar.bz2 2703735 RMD160 a064d7a5b2d3fae6171ca91a03082eb46d7bb9b7 SHA1 57b783627d9a9515ce3ef8f79128074de6197b2e SHA256 8e260b9e5dfb46a35f26e3db450c2dabb4d1df254bfb2820779945a1ecbcef51
+EBUILD cgit-0.9.ebuild 1724 RMD160 ec65afb250131eaf84a2c256e8134e74f6650c60 SHA1 721e809dc7e26e4770b36933b7113e8bc505c0c8 SHA256 cb2d001046970d0ee3be2fdc247cd9297c023187109195a9acf187bdfd2547ff
+MISC ChangeLog 277 RMD160 11f73a2acd2ba9f72ca189871c20340c7e54e1d9 SHA1 b03d9f583d48dbb44e2ee6a0083727c66c64eeeb SHA256 ac3a9ebce741eb21a27b4662a19c014f0eddc31635a5be46d1035a72c1cd2e35
+MISC metadata.xml 520 RMD160 a3326aa3367cd7b1c9bb007fc9e6a7fc4dd593af SHA1 b4ddba1f129725070dff6d3f6757448dda2c0a21 SHA256 b60776af3263493ed2792213dee75fd228b1ab7053ef6386eb32521bfa8d1a64
diff --git a/www-apps/cgit/cgit-0.9.ebuild b/www-apps/cgit/cgit-0.9.ebuild
new file mode 100644
index 0000000..3cb054b
--- /dev/null
+++ b/www-apps/cgit/cgit-0.9.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+WEBAPP_MANUAL_SLOT="yes"
+
+inherit webapp eutils multilib
+
+[[ -z "${CGIT_CACHEDIR}" ]] && CGIT_CACHEDIR="/var/cache/${PN}/"
+
+GIT_V="1.7.4"
+
+DESCRIPTION="a fast web-interface for git repositories"
+HOMEPAGE="http://hjemli.net/git/cgit/about/"
+SRC_URI="mirror://kernel/software/scm/git/git-${GIT_V}.tar.bz2
+ http://hjemli.net/git/cgit/snapshot/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc highlight"
+
+RDEPEND="
+ dev-vcs/git
+ sys-libs/zlib
+ dev-libs/openssl
+ virtual/httpd-cgi
+ highlight? ( app-text/highlight )
+"
+# ebuilds without WEBAPP_MANUAL_SLOT="yes" are broken
+DEPEND="${RDEPEND}
+ !<www-apps/cgit-0.8.3.3
+ doc? ( app-text/docbook-xsl-stylesheets
+ >=app-text/asciidoc-8.5.1 )
+"
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ rmdir git || die
+ mv "${WORKDIR}"/git-"${GIT_V}" git || die
+
+ sed -i \
+ -e "/^CACHE_ROOT =/s:/var/cache/cgit:${CGIT_CACHEDIR}:" \
+ Makefile || die
+}
+
+src_compile() {
+ emake || die
+ if use doc ; then
+ emake doc-man || die
+ fi
+}
+
+src_install() {
+ webapp_src_preinst
+
+ emake \
+ prefix=/usr \
+ libdir=/usr/$(get_libdir) \
+ CGIT_SCRIPT_PATH="${MY_CGIBINDIR}" \
+ CGIT_DATA_PATH="${MY_HTDOCSDIR}" \
+ DESTDIR="${D}" install || die
+
+ insinto /etc
+ doins "${FILESDIR}"/cgitrc
+
+ dodoc README
+ use doc && doman cgitrc.5
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_src_install
+
+ keepdir "${CGIT_CACHEDIR}"
+ fowners ${PN}:${PN} "${CGIT_CACHEDIR}"
+ fperms 700 "${CGIT_CACHEDIR}"
+}
+
+pkg_postinst() {
+ ewarn "If you intend to run cgit using web server's user"
+ ewarn "you should change /var/cache/cgit/ permissions."
+}
diff --git a/www-apps/cgit/files/cgitrc b/www-apps/cgit/files/cgitrc
new file mode 100644
index 0000000..a3eba11
--- /dev/null
+++ b/www-apps/cgit/files/cgitrc
@@ -0,0 +1,126 @@
+# Enable caching of up to 1000 output entriess
+#cache-size=1000
+
+
+# Specify some default clone prefixes
+#clone-prefix=git://foobar.com ssh://foobar.com/pub/git http://foobar.com/git
+
+# Specify the css url
+#css=/css/cgit.css
+
+
+# Show extra links for each repository on the index page
+#enable-index-links=1
+
+
+# Enable ASCII art commit history graph on the log pages
+#enable-commit-graph=1
+
+
+# Show number of affected files per commit on the log pages
+#enable-log-filecount=1
+
+
+# Show number of added/removed lines per commit on the log pages
+#enable-log-linecount=1
+
+
+# Add a cgit favicon
+#favicon=/favicon.ico
+
+
+# Use a custom logo
+#logo=/img/mylogo.png
+
+
+# Enable statistics per week, month and quarter
+#max-stats=quarter
+
+
+# Set the title and heading of the repository index page
+#root-title=foobar.com git repositories
+
+
+# Set a subheading for the repository index page
+#root-desc=tracking the foobar development
+
+
+# Include some more info about foobar.com on the index page
+#root-readme=/var/www/htdocs/about.html
+
+
+# Allow download of tar.gz, tar.bz2 and zip-files
+#snapshots=tar.gz tar.bz2 zip
+
+
+##
+## List of common mimetypes
+##
+
+#mimetype.gif=image/gif
+#mimetype.html=text/html
+#mimetype.jpg=image/jpeg
+#mimetype.jpeg=image/jpeg
+#mimetype.pdf=application/pdf
+#mimetype.png=image/png
+#mimetype.svg=image/svg+xml
+
+
+##
+## List of repositories.
+## PS: Any repositories listed when section is unset will not be
+## displayed under a section heading
+## PPS: This list could be kept in a different file (e.g. '/etc/cgitrepos')
+## and included like this:
+## include=/etc/cgitrepos
+##
+
+
+#repo.url=foo
+#repo.path=/pub/git/foo.git
+#repo.desc=the master foo repository
+#repo.owner=fooman@foobar.com
+#repo.readme=info/web/about.html
+
+
+#repo.url=bar
+#repo.path=/pub/git/bar.git
+#repo.desc=the bars for your foo
+#repo.owner=barman@foobar.com
+#repo.readme=info/web/about.html
+
+
+# The next repositories will be displayed under the 'extras' heading
+#section=extras
+
+
+#repo.url=baz
+#repo.path=/pub/git/baz.git
+#repo.desc=a set of extensions for bar users
+
+#repo.url=wiz
+#repo.path=/pub/git/wiz.git
+#repo.desc=the wizard of foo
+
+
+# Add some mirrored repositories
+#section=mirrors
+
+
+#repo.url=git
+#repo.path=/pub/git/git.git
+#repo.desc=the dscm
+
+
+#repo.url=linux
+#repo.path=/pub/git/linux.git
+#repo.desc=the kernel
+
+# Disable adhoc downloads of this repo
+#repo.snapshots=0
+
+# Disable line-counts for this repo
+#repo.enable-log-linecount=0
+
+# Restrict the max statistics period for this repo
+#repo.max-stats=month
diff --git a/www-apps/cgit/files/postinstall-en.txt b/www-apps/cgit/files/postinstall-en.txt
new file mode 100644
index 0000000..94280c8
--- /dev/null
+++ b/www-apps/cgit/files/postinstall-en.txt
@@ -0,0 +1,15 @@
+There is a few variants of configuration:
+1) Via global config file: /etc/cgitrc
+2) Or via local config file, shipped in ./conf dir into webapp_dir. It has to
+ be explicitly specified with CGIT_CONFIG env variable in your web server
+ configuration.
+
+If you would like to update the list of git repositories in cgit automatically,
+you might consider adding something similar to the following as a cronjob:
+
+"${MY_CGIBINDIR}/cgit.cgi --scan-tree=/git/repo-parent-path > /etc/cgit-repos"
+
+Then add "include=/etc/cgit-repos" in /etc/cgitrc. This way it's simpler and
+more convenient. You won't need to update your cgitrc every time you add a new
+repository.
+
diff --git a/www-apps/cgit/metadata.xml b/www-apps/cgit/metadata.xml
new file mode 100644
index 0000000..51f7146
--- /dev/null
+++ b/www-apps/cgit/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email>nikoli@lavabit.com</email>
+ <name>Nikoli</name>
+ </maintainer>
+ <longdescription lang="en">
+ cgit - cgi for git
+
+ This is an attempt to create a fast web interface for the git scm, using a
+ builtin cache to decrease server io-pressure.
+ </longdescription>
+ <use>
+ <flag name="highlight">Enable source code highlighting</flag>
+ </use>
+</pkgmetadata>